Upload Optimization Input File
Stream one staged input file to private blob storage.
Header Parameters
x-workspace-id?|
Workspace UUID for session-authenticated calls.
Request Body
multipart/form-data
file*file
CSV, Markdown, or text input file.
Format
binaryResponse Body
application/json
application/json
curl -X POST "https://loading/v1/optimization-input-files" \ -F file="string"{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"filename": "string",
"media_type": "string",
"size_bytes": 0,
"sha256": "string",
"created_by_user_id": "209f54c4-4c33-43bc-9c6a-ef4c65ad7473",
"created_by_service_account_id": "5434fcf1-291e-49ce-ac43-2f469070b2f5",
"created_by_service_account_name": "string",
"created_at": "2019-08-24T14:15:22Z",
"expires_at": "2019-08-24T14:15:22Z"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}